TICKIT_WINDOW_CLOSE(3)

NAME
tickit_window_close - remove a window from the tree

SYNOPSIS
    #include <tickit.h>

    void tickit_window_close(TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_close() removes a window from its parent, causing it to no longer affect rendering or recieve input events in any way. After this is done the only operation that is defined any more is tickit_window_unref(3). The window may not be used for further drawing.

RETURN VALUE
tickit_window_close() returns no value.

SEE ALSO
tickit_window_new(3), tickit_window_hide(3), tickit_window(7), tickit(7)